#!/bin/bash

if ! command -v appimagetool &> /dev/null
then
	echo "No appimage tool installed. Please, install it."
	exit 1
fi

cargo build --release

mkdir -p AppImage/usr/bin
mkdir -p AppImage/usr/share/glib-2.0/schemas
cp resources/gschemas.compiled AppImage/usr/share/glib-2.0/schemas/ # Copy settings
cp target/release/learn-hieroglyph AppImage/usr/bin

chmod +x AppImage/AppRun
ARCH=x86_64 appimagetool AppImage learn-hieroglyph.AppImage
